#include <iostream>

int main() {
    std::string t, s;
    std::cin >> t;
    std::cin >> s;

    int j = 0;
    int c = 0;
    int p = -1;
    int k = -1;
    int a[s.length()];
    a[0] = 0;
    for (int i = 0; i < t.length(); i++) {
        if (t[i] == s[j]) {
            if (c == 0) {
                p = i;
            }

            c++;
        } else if (t[i] == s[j + 1]) {
            a[j + 1] = 0;
            j++;
        } else {
            c = 0;
            j = 0;
        }

        a[j]++;

        if (c == s.length()) {
            k = i;
            break;
        }
    }

    int minI = 0;

    for (int i = 1; i < s.length(); i++) {
        if (a[i] < a[minI]) {
            minI = i;
        }
    }

    int min = a[minI];

    for (int i = p; i <= k && a[minI] > 0; i++) {
        if (t[i] == s[minI]) {
            min--;
            t[i] = '*';
        }
    }

    std::cout << a[minI] << std::endl;
    std::cout << t << std::endl;

    return 0;
}